MODULE Integrand_Function
!-----------------------------------------------------------------------
!  Module containing a function Integrand 
!-----------------------------------------------------------------------

CONTAINS
  FUNCTION Integrand(X)

    REAL :: Integrand
    REAL, INTENT(IN) :: X

    Integrand = EXP(X**2)

  END FUNCTION Integrand

END MODULE Integrand_Function
